Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Archived » Buckminster » buckminster headless subversive support not working
buckminster headless subversive support not working [message #520034] Wed, 10 March 2010 21:45 Go to next message
Bernhard Merkle is currently offline Bernhard MerkleFriend
Messages: 88
Registered: July 2009
Member
I installed subversive headless support as described on the wiki, but it
is not working...

any idea how I can debug this ?

--> subversive support seems to be installed...

C:\ide\ibm\buckminster-headless>buckminster listsite
Features:
org.eclipse.buckminster.core.headless.feature (Buckminster - Core
Headless)
org.eclipse.buckminster.pde.headless.feature (Buckminster - PDE
support for headless operation)
org.eclipse.buckminster.product (Buckminster Product)
org.eclipse.buckminster.subversive.headless.feature (Buckminster -
Subversive based SVN support for headless operation)
org.eclipse.equinox.p2.director.feature (Equinox P2 Director Feature)

--> If i start the build i get the following errors:

C:\ide\ibm\buckminster-headless>buckminster.bat -consoleLog -L DEBUG
-data file:///W:/Buckminster_SopasGenerator build
!SESSION 2010-03-10 22:39:48.078
-----------------------------------------------
eclipse.buildId=unknown
java.version=1.6.0_16
java.vendor=Sun Microsystems Inc.
BootLoader constants: OS=win32, ARCH=x86, WS=win32, NL=de_DE
Framework arguments: -L DEBUG build
Command-line arguments: -consoleLog -L DEBUG -data
file:///W:/Buckminster_SopasGenerator build

!ENTRY org.eclipse.buckminster.runtime 0 293 2010-03-10 22:39:50.078
!MESSAGE build
build


ERROR: Problems occurred when invoking code from plug-in:
"org.eclipse.core.resources".
org.eclipse.team.svn.core.operation.UnreportableException: Selected SVN
connector library is not available or cannot be loaded.
If you selected native JavaHL connector, please check if binaries are
available or install and select pure Java Subversion connector from the
plug-in
connectors update site.
If connectors already installed then you can change the selected one at:
Window->Preferences->Team->SVN->SVN Connector.
at
org.eclipse.team.svn.core.extension.factory.ISVNConnectorFac tory$1.newInstance(ISVNConnectorFactory.java:105)
at
org.eclipse.team.svn.core.utility.SVNUtility.getSVNInfoForNo tConnected(SVNUtility.java:833)
at
org.eclipse.team.svn.core.SVNTeamProvider.uploadRepositoryRe source(SVNTeamProvider.java:238)



I have selected Java Native HL in my eclipse...

the project also builds if i disconnect my projects from the team
provider...

thanks for your help,
Bernhard.
Re: buckminster headless subversive support not working [message #520036 is a reply to message #520034] Wed, 10 March 2010 21:54 Go to previous messageGo to next message
Bernhard Merkle is currently offline Bernhard MerkleFriend
Messages: 88
Registered: July 2009
Member
BTW I noticed that my buckminster install command loaded the follwing
files from the cloudsmith update site.

However: is there only support for svnkit ? what about native Java HL ?
I need this because we use Windows AD authentication in SVN...


org.eclipse.team.svn.core_0.7.8.I20090904-1300.jar
org.polarion.eclipse.team.svn.connector.svnkit16_2.2.1.I2009 1009-1900.jar
org.polarion.eclipse.team.svn.connector_2.2.1.I20091009-1900 .jar
org.eclipse.buckminster.subversion_1.0.0.r10759.jar

thanks,
Bernhard.

On 10.03.2010 22:45, Bernhard Merkle wrote:
> I installed subversive headless support as described on the wiki, but it
> is not working...
>
> any idea how I can debug this ?
>
> --> subversive support seems to be installed...
>
> C:\ide\ibm\buckminster-headless>buckminster listsite
> Features:
> org.eclipse.buckminster.core.headless.feature (Buckminster - Core Headless)
> org.eclipse.buckminster.pde.headless.feature (Buckminster - PDE support
> for headless operation)
> org.eclipse.buckminster.product (Buckminster Product)
> org.eclipse.buckminster.subversive.headless.feature (Buckminster -
> Subversive based SVN support for headless operation)
> org.eclipse.equinox.p2.director.feature (Equinox P2 Director Feature)
>
> --> If i start the build i get the following errors:
>
> C:\ide\ibm\buckminster-headless>buckminster.bat -consoleLog -L DEBUG
> -data file:///W:/Buckminster_SopasGenerator build
> !SESSION 2010-03-10 22:39:48.078
> -----------------------------------------------
> eclipse.buildId=unknown
> java.version=1.6.0_16
> java.vendor=Sun Microsystems Inc.
> BootLoader constants: OS=win32, ARCH=x86, WS=win32, NL=de_DE
> Framework arguments: -L DEBUG build
> Command-line arguments: -consoleLog -L DEBUG -data
> file:///W:/Buckminster_SopasGenerator build
>
> !ENTRY org.eclipse.buckminster.runtime 0 293 2010-03-10 22:39:50.078
> !MESSAGE build
> build
>
>
> ERROR: Problems occurred when invoking code from plug-in:
> "org.eclipse.core.resources".
> org.eclipse.team.svn.core.operation.UnreportableException: Selected SVN
> connector library is not available or cannot be loaded.
> If you selected native JavaHL connector, please check if binaries are
> available or install and select pure Java Subversion connector from the
> plug-in
> connectors update site.
> If connectors already installed then you can change the selected one at:
> Window->Preferences->Team->SVN->SVN Connector.
> at
> org.eclipse.team.svn.core.extension.factory.ISVNConnectorFac tory$1.newInstance(ISVNConnectorFactory.java:105)
>
> at
> org.eclipse.team.svn.core.utility.SVNUtility.getSVNInfoForNo tConnected(SVNUtility.java:833)
>
> at
> org.eclipse.team.svn.core.SVNTeamProvider.uploadRepositoryRe source(SVNTeamProvider.java:238)
>
>
>
>
> I have selected Java Native HL in my eclipse...
>
> the project also builds if i disconnect my projects from the team
> provider...
>
> thanks for your help,
> Bernhard.
>
Re: buckminster headless subversive support not working [message #520405 is a reply to message #520034] Fri, 12 March 2010 04:58 Go to previous messageGo to next message
Thomas Hallgren is currently offline Thomas HallgrenFriend
Messages: 3240
Registered: July 2009
Senior Member
Hi Bernhard,
I have no problems with Subversive. What update sites are you currently using? The reason I ask is that I suspect that
you might have a mix of 3.6 and 3.5 bundles.

You should use either this combination

http://download.eclipse.org/tools/buckminster/updates-3.6 (or headless-3.6)
http://download.cloudsmith.com/buckminster/external-3.6

or this combination

http://download.eclipse.org/tools/buckminster/updates-3.5 (or headless-3.5)
http://download.cloudsmith.com/buckminster/external-3.5

This one won't fly:

http://download.eclipse.org/tools/buckminster/updates-3.6 (or headless-3.6)
*http://download.cloudsmith.com/buckminster/external (BAD, only 3.5)

Regards,
Thomas Hallgren


On 03/10/2010 10:45 PM, Bernhard Merkle wrote:
> I installed subversive headless support as described on the wiki, but it
> is not working...
>
> any idea how I can debug this ?
>
> --> subversive support seems to be installed...
>
> C:\ide\ibm\buckminster-headless>buckminster listsite
> Features:
> org.eclipse.buckminster.core.headless.feature (Buckminster - Core Headless)
> org.eclipse.buckminster.pde.headless.feature (Buckminster - PDE support
> for headless operation)
> org.eclipse.buckminster.product (Buckminster Product)
> org.eclipse.buckminster.subversive.headless.feature (Buckminster -
> Subversive based SVN support for headless operation)
> org.eclipse.equinox.p2.director.feature (Equinox P2 Director Feature)
>
> --> If i start the build i get the following errors:
>
> C:\ide\ibm\buckminster-headless>buckminster.bat -consoleLog -L DEBUG
> -data file:///W:/Buckminster_SopasGenerator build
> !SESSION 2010-03-10 22:39:48.078
> -----------------------------------------------
> eclipse.buildId=unknown
> java.version=1.6.0_16
> java.vendor=Sun Microsystems Inc.
> BootLoader constants: OS=win32, ARCH=x86, WS=win32, NL=de_DE
> Framework arguments: -L DEBUG build
> Command-line arguments: -consoleLog -L DEBUG -data
> file:///W:/Buckminster_SopasGenerator build
>
> !ENTRY org.eclipse.buckminster.runtime 0 293 2010-03-10 22:39:50.078
> !MESSAGE build
> build
>
>
> ERROR: Problems occurred when invoking code from plug-in:
> "org.eclipse.core.resources".
> org.eclipse.team.svn.core.operation.UnreportableException: Selected SVN
> connector library is not available or cannot be loaded.
> If you selected native JavaHL connector, please check if binaries are
> available or install and select pure Java Subversion connector from the
> plug-in
> connectors update site.
> If connectors already installed then you can change the selected one at:
> Window->Preferences->Team->SVN->SVN Connector.
> at
> org.eclipse.team.svn.core.extension.factory.ISVNConnectorFac tory$1.newInstance(ISVNConnectorFactory.java:105)
>
> at
> org.eclipse.team.svn.core.utility.SVNUtility.getSVNInfoForNo tConnected(SVNUtility.java:833)
>
> at
> org.eclipse.team.svn.core.SVNTeamProvider.uploadRepositoryRe source(SVNTeamProvider.java:238)
>
>
>
>
> I have selected Java Native HL in my eclipse...
>
> the project also builds if i disconnect my projects from the team
> provider...
>
> thanks for your help,
> Bernhard.
>
Re: buckminster headless subversive support not working [message #520560 is a reply to message #520405] Fri, 12 March 2010 19:56 Go to previous message
Bernhard Merkle is currently offline Bernhard MerkleFriend
Messages: 88
Registered: July 2009
Member
Hi Thomas,

I have _no_ mix of 3.5 and 3.6. I have only installed 3.5.

My question was more along the lines if svnkit AND Native SVN HL
connector. I am using the SVN native HL connector because of
authentication against a windows domain.

the download (as you described below) only put svnkit on my disk.

I also have switched to svnkit in my eclipse team settings but this did
not solve the issue.

how can i debug this ?

thanks again,
Berni.


On 12.03.2010 10:43, Thomas Hallgren wrote:
> Hi Bernhard,
> I have no problems with Subversive. What update sites are you currently
> using? The reason I ask is that I suspect that you might have a mix of
> 3.6 and 3.5 bundles.
>
> You should use either this combination
>
> http://download.eclipse.org/tools/buckminster/updates-3.6 (or headless-3.6)
> http://download.cloudsmith.com/buckminster/external-3.6
>
> or this combination
>
> http://download.eclipse.org/tools/buckminster/updates-3.5 (or headless-3.5)
> http://download.cloudsmith.com/buckminster/external-3.5
>
> This one won't fly:
>
> http://download.eclipse.org/tools/buckminster/updates-3.6 (or headless-3.6)
> *http://download.cloudsmith.com/buckminster/external (BAD, only 3.5)
Previous Topic:Buckminster fails to find bundles
Next Topic:Installing headless feature => PhaseSet must not be null.
Goto Forum:
  


Current Time: Fri Sep 17 20:26:23 GMT 2021

Powered by FUDForum. Page generated in 0.01517 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top